Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 508854 (gnome2-mask) - Gnome2 masking for removal
Summary: Gnome2 masking for removal
Status: RESOLVED FIXED
Alias: gnome2-mask
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] GNOME (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard: Pending removal: 2014-11-11
Keywords: PMASKED
: 450236 482332 486808 525096 525124 533100 (view as bug list)
Depends on: 371839 487772 508006 508862 510664 510666 510668 510670 510672 510790 510794 gnome-3.12-stable 512066 512696 514458 514462 514464 514482 514484
Blocks: 354457 372971 CVE-2011-0900 419741 438004 440866 CVE-2013-4169 484242 492522 509108 513656 513836 514322 514986 514988 515144 515822 516266 516268 518022 520084 520956 520962 525334 526848 526852
  Show dependency tree
 
Reported: 2014-04-27 10:31 UTC by Pacho Ramos
Modified: 2015-01-24 15:16 UTC (History)
14 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
gnome2-mask (gnome2-mask,3.87 KB, text/plain)
2014-04-27 10:31 UTC, Pacho Ramos
Details
gnome2-mask -r1 (gnome2-mask,3.90 KB, text/plain)
2014-04-27 11:07 UTC, Pacho Ramos
Details
gnome2-mask -r1 (gnome2-mask,3.93 KB, text/plain)
2014-04-27 11:13 UTC, Pacho Ramos
Details
gnome2-mask (gnome2-mask,3.91 KB, text/plain)
2014-05-11 07:56 UTC, Pacho Ramos
Details
gnome2-mask (gnome2-mask,4.04 KB, text/plain)
2014-05-18 19:02 UTC, Pacho Ramos
Details
gnome2-mask (gnome2-mask,4.03 KB, text/plain)
2014-05-25 09:15 UTC, Pacho Ramos
Details
gnome2-mask (attachment.cgi?id=377602,4.44 KB, text/plain)
2014-06-22 19:51 UTC, Pacho Ramos
Details
gnome2-mask (gnome2-mask,4.47 KB, text/plain)
2014-07-02 14:56 UTC, Pacho Ramos
Details
gnome2-mask (gnome2-mask,4.64 KB, text/plain)
2014-07-02 15:22 UTC, Pacho Ramos
Details
gnome2-mask (attachment.cgi?id=380082,4.67 KB, text/plain)
2014-07-04 11:05 UTC, Pacho Ramos
Details
gnome2-mask (attachment.cgi?id=380082,4.65 KB, text/plain)
2014-07-04 11:25 UTC, Pacho Ramos
Details
gnome2-mask (attachment.cgi.txt,4.71 KB, text/plain)
2014-07-05 17:47 UTC, Pacho Ramos
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pacho Ramos gentoo-dev 2014-04-27 10:31:05 UTC
Created attachment 375834 [details]
gnome2-mask

Attached list is a start point, there are still some things missing:
- There are some packages that optionally rdepend on old gnome-panel for applets. What should we do with them? Mask offending USE flag? Remove the support in ebuilds completely (I would do that)? In that case, would we need to revbump them for this USE removal and fast stabilize them? (I would probably opt for sending them directly to stable too)
- We need to wait for a new round of stabilizations to clean completely the keywording mixes in "exotic" arches, I am working on that list currently
Comment 1 Pacho Ramos gentoo-dev 2014-04-27 11:07:38 UTC
Created attachment 375840 [details]
gnome2-mask -r1

I forgot old evolution
Comment 2 Pacho Ramos gentoo-dev 2014-04-27 11:13:55 UTC
Created attachment 375842 [details]
gnome2-mask -r1
Comment 3 Tom Wijsman (TomWij) (RETIRED) gentoo-dev 2014-04-27 11:19:03 UTC
For a start, this doesn't affect MATE desktop, which is nice; has a repoman dependency check regression check been done on the reverse dependencies?
Comment 4 Pacho Ramos gentoo-dev 2014-04-27 11:34:32 UTC
I am doing it shortly, this is for start to prepare the list as we need to play with some use.mask (or use removals) as explained and a newer stabilization list is needed too to let us drop some really old versions in some arches.
Comment 5 Pacho Ramos gentoo-dev 2014-05-04 12:18:25 UTC
*** Bug 482332 has been marked as a duplicate of this bug. ***
Comment 6 Pacho Ramos gentoo-dev 2014-05-11 07:56:22 UTC
Created attachment 376708 [details]
gnome2-mask

updated list
Comment 7 Pacho Ramos gentoo-dev 2014-05-11 08:14:11 UTC
*** Bug 450236 has been marked as a duplicate of this bug. ***
Comment 8 Pacho Ramos gentoo-dev 2014-05-11 08:14:52 UTC
*** Bug 486808 has been marked as a duplicate of this bug. ***
Comment 9 Pacho Ramos gentoo-dev 2014-05-18 19:02:19 UTC
Created attachment 377202 [details]
gnome2-mask
Comment 10 Pacho Ramos gentoo-dev 2014-05-25 09:15:51 UTC
Created attachment 377602 [details]
gnome2-mask
Comment 11 Pacho Ramos gentoo-dev 2014-06-22 19:51:57 UTC
Created attachment 379422 [details]
gnome2-mask

updated version
Comment 12 Pacho Ramos gentoo-dev 2014-07-02 14:56:56 UTC
Created attachment 380076 [details]
gnome2-mask
Comment 13 Pacho Ramos gentoo-dev 2014-07-02 15:22:38 UTC
Created attachment 380082 [details]
gnome2-mask
Comment 14 Pacho Ramos gentoo-dev 2014-07-04 11:05:50 UTC
Created attachment 380162 [details]
gnome2-mask
Comment 15 Pacho Ramos gentoo-dev 2014-07-04 11:25:26 UTC
Created attachment 380166 [details]
gnome2-mask
Comment 16 Pacho Ramos gentoo-dev 2014-07-05 17:47:23 UTC
Created attachment 380260 [details]
gnome2-mask
Comment 17 nE0sIghT 2014-10-12 06:05:07 UTC
I just noticed that gnome-extra/gnome-audio-2.22 is pmasked 
In my gnome-3.12 system still presented autostart entry "libcanberra-login-sound.desktop" with command /usr/bin/canberra-gtk-play --id="login" --description="GNOME Login"

Are there any alternatives for this package contains login sound?
Comment 18 Jeroen Roovers gentoo-dev 2014-10-12 07:15:44 UTC
*** Bug 525096 has been marked as a duplicate of this bug. ***
Comment 19 Luke-Jr 2014-10-12 07:32:29 UTC
This breaks KDE. :(
See bug 525096
Comment 20 Pacho Ramos gentoo-dev 2014-10-12 08:13:31 UTC
(In reply to Luke-Jr from comment #19)
> This breaks KDE. :(
> See bug 525096

I don't see any KDE app depending on system-config-printer-common:
http://qa-reports.gentoo.org/output/genrdeps/rindex/app-admin/system-config-printer-common
Comment 21 Pacho Ramos gentoo-dev 2014-10-12 08:25:18 UTC
(In reply to nE0sIghT from comment #17)
> I just noticed that gnome-extra/gnome-audio-2.22 is pmasked 
> In my gnome-3.12 system still presented autostart entry
> "libcanberra-login-sound.desktop" with command /usr/bin/canberra-gtk-play
> --id="login" --description="GNOME Login"
> 
> Are there any alternatives for this package contains login sound?

It should have been provided by sound-theme-freedesktop, and it was in past versions, but later removed by upstream on purpose:
https://bugzilla.redhat.com/show_bug.cgi?id=538617
https://bugzilla.redhat.com/show_bug.cgi?id=538617#c14
Comment 22 Luke-Jr 2014-10-12 08:27:27 UTC
(In reply to Pacho Ramos from comment #20)
> (In reply to Luke-Jr from comment #19)
> > This breaks KDE. :(
> > See bug 525096
> 
> I don't see any KDE app depending on system-config-printer-common:
> http://qa-reports.gentoo.org/output/genrdeps/rindex/app-admin/system-config-
> printer-common

kde-base/print-manager

http://qa-reports.gentoo.org/output/genrdeps/rindex/app-admin/system-config-printer-gnome
Comment 23 Pacho Ramos gentoo-dev 2014-10-12 08:31:46 UTC
(In reply to Luke-Jr from comment #22)
> kde-base/print-manager
> 
> http://qa-reports.gentoo.org/output/genrdeps/rindex/app-admin/system-config-
> printer-gnome

 RDEPEND="
 	${PYTHON_DEPS}
 	~app-admin/system-config-printer-common-${PV}
-	dev-python/notify-python
+	dev-python/pycairo[${PYTHON_USEDEP}]
 	>=dev-python/pycups-1.9.60[${PYTHON_USEDEP}]
-	>=dev-python/pygtk-2.4
-	gnome-keyring? ( gnome-base/libgnome-keyring )
+	dev-python/pygobject:3[${PYTHON_USEDEP}]
+	x11-libs/gtk+:3[introspection]
+	x11-libs/libnotify[introspection]
+	x11-libs/pango[introspection]
+	gnome-keyring? ( gnome-base/libgnome-keyring[introspection] )
 "

I would try USE -gnome-keyring for that, please see if that help to avoid other gnome tools :|
Comment 24 Luke-Jr 2014-10-12 09:17:42 UTC
(In reply to Pacho Ramos from comment #23)
> (In reply to Luke-Jr from comment #22)
> > kde-base/print-manager
> > 
> > http://qa-reports.gentoo.org/output/genrdeps/rindex/app-admin/system-config-
> > printer-gnome
> 
>  RDEPEND="
>  	${PYTHON_DEPS}
>  	~app-admin/system-config-printer-common-${PV}
> -	dev-python/notify-python
> +	dev-python/pycairo[${PYTHON_USEDEP}]
>  	>=dev-python/pycups-1.9.60[${PYTHON_USEDEP}]
> -	>=dev-python/pygtk-2.4
> -	gnome-keyring? ( gnome-base/libgnome-keyring )
> +	dev-python/pygobject:3[${PYTHON_USEDEP}]
> +	x11-libs/gtk+:3[introspection]
> +	x11-libs/libnotify[introspection]
> +	x11-libs/pango[introspection]
> +	gnome-keyring? ( gnome-base/libgnome-keyring[introspection] )
>  "
> 
> I would try USE -gnome-keyring for that, please see if that help to avoid
> other gnome tools :|

I don't really want to have to install pygobject or [introspection] (which I have masked to avoid accidentally installing) either... :/
Comment 25 octoploid 2014-10-12 09:20:06 UTC
Please at least keep gnome-base/gconf:

x4 ~ # equery d gconf
 * These packages depend on gconf:
app-editors/emacs-24.3-r6 (gconf ? >=gnome-base/gconf-2.26.2)
app-office/libreoffice-4.3.1.2 (gnome ? gnome-base/gconf:2)
media-gfx/gnofract4d-3.14 (>=gnome-base/gconf-2)
www-client/chromium-40.0.2182.3 (gnome ? >=gnome-base/gconf-2.24.0)
x11-libs/wxGTK-2.8.12.1-r1 (gstreamer ? gnome-base/gconf:2)
Comment 26 Gilles Dartiguelongue gentoo-dev 2014-10-12 09:47:22 UTC
gconf is just as deprecated as the rest of gnome2, projects using it ought to migrate to dconf. dconf is over 4 years old and as been really stable at what it is doing.
Comment 27 Luke-Jr 2014-10-12 09:54:11 UTC
Just removing the system-config-printer packages doesn't seem to affect KDE actually working, with exception to an error message that seems to have no other ill effects.

Maybe a USE flag for those of us who would rather tolerate a rare and easily ignored error message?
Comment 28 octoploid 2014-10-12 09:56:37 UTC
(In reply to Gilles Dartiguelongue from comment #26)
> gconf is just as deprecated as the rest of gnome2, projects using it ought
> to migrate to dconf. dconf is over 4 years old and as been really stable at
> what it is doing.

You are hopefully aware that there are people out there that have
gtk+-3 masked and don't want to use it?

Forcing them to use gtk+-3, just because you like to remove some
applications that are running perfectly well, is a bit over the top.
Comment 29 Luke-Jr 2014-10-12 10:01:58 UTC
(In reply to octoploid from comment #28)
> You are hopefully aware that there are people out there that have
> gtk+-3 masked and don't want to use it?
> 
> Forcing them to use gtk+-3, just because you like to remove some
> applications that are running perfectly well, is a bit over the top.

"Running perfectly well" is not sufficient unless they are also being maintained, which I guess isn't the case anymore? Are any of these applications (or yourself perhaps) willing to maintain gconf 2?
Comment 30 octoploid 2014-10-12 10:05:36 UTC
(In reply to Luke-Jr from comment #29)
> (In reply to octoploid from comment #28)
> > You are hopefully aware that there are people out there that have
> > gtk+-3 masked and don't want to use it?
> > 
> > Forcing them to use gtk+-3, just because you like to remove some
> > applications that are running perfectly well, is a bit over the top.
> 
> "Running perfectly well" is not sufficient unless they are also being
> maintained, which I guess isn't the case anymore? Are any of these
> applications (or yourself perhaps) willing to maintain gconf 2?

Well, as long as third party applications depend on gconf-2 
you simply cannot remove it from the tree.
Comment 31 Pacho Ramos gentoo-dev 2014-10-12 10:30:01 UTC
(In reply to Luke-Jr from comment #24)
[...]
> I don't really want to have to install pygobject or [introspection] (which I
> have masked to avoid accidentally installing) either... :/

We cannot support that setup at all, do you know the other alternatives you are keeping are completely unmaintained and buggy for years?


(In reply to octoploid from comment #25)
> Please at least keep gnome-base/gconf:

It's kept -> gconf-3.2.6-r3 (it's a version "3" but compatible with 2 and, then, on the same slot)
Comment 32 octoploid 2014-10-12 10:34:12 UTC
(In reply to Pacho Ramos from comment #31)
> (In reply to octoploid from comment #25)
> > Please at least keep gnome-base/gconf:
> 
> It's kept -> gconf-3.2.6-r3 (it's a version "3" but compatible with 2 and,
> then, on the same slot)

Have you read comment 28? 

> You are hopefully aware that there are people out there that have
> gtk+-3 masked and don't want to use it?
> 
> Forcing them to use gtk+-3, just because you like to remove some
> applications that are running perfectly well, is a bit over the top.
Comment 33 Pacho Ramos gentoo-dev 2014-10-12 10:44:39 UTC
How many years do you pretend to keep avoiding gtk3? More and more apps will migrate to it since gtk2 is only in maintainance mode for years :|
Comment 34 Pacho Ramos gentoo-dev 2014-10-12 10:49:00 UTC
*** Bug 525124 has been marked as a duplicate of this bug. ***
Comment 35 octoploid 2014-10-12 10:56:00 UTC
(In reply to Pacho Ramos from comment #33)
> How many years do you pretend to keep avoiding gtk3? More and more apps will
> migrate to it since gtk2 is only in maintainance mode for years :|

You could make exactly the same argument for systemd...

The only reason to use Gentoo is that it allows one to avoid crap
software easily. Take away that ability and you cripple the 
raison d'être of Gentoo.

Also major applications like Firefox, Chromium and Libreoffice
still use gtk2 for very good reasons.
Comment 36 Luke-Jr 2014-10-12 11:08:56 UTC
(In reply to Pacho Ramos from comment #31)
> (In reply to Luke-Jr from comment #24)
> [...]
> > I don't really want to have to install pygobject or [introspection] (which I
> > have masked to avoid accidentally installing) either... :/
> 
> We cannot support that setup at all, do you know the other alternatives you
> are keeping are completely unmaintained and buggy for years?

How about making the KDE dependency on system-config-printer entirely optional then? As mentioned, it seems to basically work without it.
Comment 37 Klaus Kusche 2014-10-12 12:32:01 UTC
(In reply to Pacho Ramos from comment #33)
> How many years do you pretend to keep avoiding gtk3? More and more apps will
> migrate to it since gtk2 is only in maintainance mode for years :|

Why should they? Maintainance mode is fine for app developers.

gtk2 is rock solid, does not suffer from sudden interface changes,
offers all you usually need, and is smaller and faster
(and security bugs do get fixed).

gtk2 has many themes (including the default) which meet all
regulations and requirements concerning accessability.

Due to firefox, chromium etc., gtk2 is present on any system,
and it is possible to build a feature-complete linux system with gtk2 only.

gtk3 still changes interfaces with no announcement even after 7 years
of development, tends to break your themes and layouts every 6 month,
and is controlled by a small number of braindamaged people who
do not care at all about their users nor about any project outside gnome
(they don't even listen) and take away their user's freedom.

gtk3 is usually not present on xfce, mate or other minimal systems,
and it will not be possible to build a feature-complete linux system
with gtk3 only for some time.

gtk3 development does not seem to care about accessability or uncommon
input situations, its themes violate many of the basic gui design rules.

So if you are not using gnome or working on a gnome project,
gtk3 is about the worst platform to work with,
and gtk2 is the plattform causing significantly less trouble.

wxWidgets has been ported to gtk3 (they had a fully working prototype), 
and than back to gtk2 because gtk3 was too much trouble to follow.
claws mail stopped gtk3 porting efforts as far as I know, same for firefox.
geany has considered porting to gtk3, and rejected it.

So yes, gtk2 is here to stay, and yes, gentoo needs to offer all the apps
needed for a feature-complete gtk2 only environment, no matter if based on
xfce, mate, or something else.

You may remove the gnome specific parts of gnome 2, but everything useful
outside gnome should be kept as long as it works.
Comment 38 Pacho Ramos gentoo-dev 2014-10-12 16:52:45 UTC
(In reply to Luke-Jr from comment #36)
[...]
> How about making the KDE dependency on system-config-printer entirely
> optional then? As mentioned, it seems to basically work without it.

That is beyond my knowledge about the package, please open a separate bug report for that kde package that looks to not really require the dep :)
Comment 39 Pacho Ramos gentoo-dev 2014-10-12 16:56:53 UTC
Regarding all the gtk2 vs. gtk3, it has been discussed at bug 374057
Comment 40 Gilles Dartiguelongue gentoo-dev 2014-10-12 17:38:30 UTC
Regarding gconf vs. dconf, there is nothing related to gtk in there. If you are talking about the editors, well we cannot help you. Upstream wrote a perfectly useful command line tool to deal with that.

The fact that we are removing gnome2 does not mean we are trashing gtk2 yet, so stop crying out loud, it is just the wrong place and the wrong debate.
Comment 41 Klaus Kusche 2014-10-12 18:42:00 UTC
(In reply to Gilles Dartiguelongue from comment #40)
> The fact that we are removing gnome2 does not mean we are trashing gtk2 yet,
> so stop crying out loud, it is just the wrong place and the wrong debate.

You misunderstood me:

As I said in #37, I've nothing against removing gnome 2
and anything working in gnome2 only.
Also, I don't want to continue the gtk2 / gtk3 debate.

I just vote against removing gnome2 apps which are useful and widely used
in non-gnome (xfce, icewm, ...) environments, especially if there is 
no equivalent substitute. Those non-gnome gtk2 environments will be around
for years, and they always relied on the availability of gnome2 applications,
so taking away these applications cripples those environments.

For example, evince has zero dependencies on gnome (except for gnome-doc-utils) 
when built with the appropriate use flags, and is the primary pdf reader 
on almost all gtk2-based platforms.

And as other distributions supporting xfce are in the same situation,
I'm confident that ugly bugs e.g. in evince will still get fixed.
Comment 42 Gilles Dartiguelongue gentoo-dev 2014-10-12 20:42:59 UTC
There is no vote to be held.

We announced long ago that Gnome 2 is going away, and so are all of its components. Of course there are some limitations due to other ebuild dependencies but most of them were fixed and that is why we have a mask now.

You have to understand that no amount of user complaint is going to change that as unfortunately, all complaints only lead to 0 actual involvement into the project to make things change. You can check the forums and the mailing list for reference.

A package needs to have a maintainer to keep going, but this is not happening for Gnome 2. A few people gathered to introduce cinnamon to the tree, but that still not going to fix everything.

I know this does not sound really positive statements, but you just have to move on and file bug reports to upstream if you are dissatisfied with their products.

We did our job trying to keep them alive for as long as possible, but this is over now.
Comment 43 Klaus Kusche 2014-10-13 05:53:08 UTC
(In reply to Gilles Dartiguelongue from comment #42)
> I know this does not sound really positive statements, but you just have to
> move on and file bug reports to upstream if you are dissatisfied with their
> products.

1.) That's exactly the problem with gnome3. They are not listening.
For example, the regression bug that toolbar customization was removed
and is needed in evince was opened almost 2 years ago (692969),
and it has several followers and comments.
Zero reaction, bug state is still "unconfirmed".

Hence, I have to rely on my linux distribution (or on mate in this case)
to offer choices and alternatives, and that's why I'm using gentoo.
For example, the KDE team is still keeping kmail 4.4.x alive,
which is about as old as gnome2, because any more recent version 
has problems upstream refuses to look into.

2.) One of the main advantages of linux is that one does not have to move on.
Microsoft forces you to buy new hardware and software every second year.
Linux should not.
At our university, this results in many old PC's for our students
which have linux installed after these PC's are too old to run 
any supported windows version.

But I agree that the tree should not contain unmaintained ebuilds.
Comment 44 Tobias Nielsen 2014-10-13 07:12:00 UTC
Uuh, i just saw that hamster-applet was scheduled for removal - what should i use instead? The suggested replacement doesnt provide any functionality I could find that would even remotely do as an alternative..

And now I come to bit myself in the arse :-) Because... The project hamster applet is actually very badly integrated with gnome 3, so on that basis it is horrible to use.. But i have little alternative except starting a new time applet project myself.
Comment 45 Jesse Adelman 2014-10-15 02:26:19 UTC
!!! The following installed packages are masked:
- net-libs/farsight2-0.0.31::gentoo (masked by: package.mask)
/usr/portage/profiles/package.mask:
# Pacho Ramos <pacho@gentoo.org> (11 Oct 2014)
# Masked for removal in a month.
# Obsolete and unmaintained for years. You should switch
# to one of the many available alternatives like (#508854):
# - >=gnome-base/gnome-3.12 (either with standard or 'Classic' modes)
# - gnome-extra/cinnamon
# - mate-base/mate
# - xfce-base/xfce4-meta
# - ...

[...meanwhile...]

[root@fuji-02 ~]# equery d farsight2
 * These packages depend on farsight2:
net-im/pidgin-2.10.9-r1 (gstreamer ? net-libs/farsight2)
[root@fuji-02 ~]#

Should I get rid of gstreamer? Or does the Pidgin ebuild merely need fixing? Thanks.
Comment 46 Pacho Ramos gentoo-dev 2014-10-15 07:42:48 UTC
The dependency from pidgin is:
|| ( net-libs/farstream:0.1 net-libs/farsight2 )

In my case portage moved to the first one long time ago (I can't remember if he switched to the first by itself of what exactly :S) but, in summary, you would need to "emerge -1 net-libs/farstream:0.1" and, probably, "emerge --deselect net-libs/farsight2" (to ensure net-libs/farsight2 is dropped from your world file if it was there)
Comment 47 Alex Efros 2014-10-15 23:03:54 UTC
> # Obsolete and unmaintained for years. You should switch
> # to one of the many available alternatives like (#508854):

Okay, I've removed gnome-games and installed several replacement packages like games-board/gnome-chess. Problem is, all apps which expected to have some icons in top bar show empty boxes (only first icon with main app's menu is correct). For example, gnome-chess miss icons for: "Undo your most recent move", "Open a saved game", "Save the current game", one button without hint and last button which closes app window.

I've installed x11-themes/gnome-themes-standard and tried to use gtk-chtheme and gtk-theme-switch to set theme, but this doesn't fixed this issue with icons. Next I've installed x11-themes/gnome-icon-theme-symbolic and this fixed this issue. So, I'm not sure is x11-themes/gnome-themes-standard really needed, but x11-themes/gnome-icon-theme-symbolic should be added as dependency for these packages (probably all matching games-*/gnome-*).
Comment 48 Pacho Ramos gentoo-dev 2014-10-16 08:33:29 UTC
(In reply to Alex Efros from comment #47)
I would open a new bug report for that concrete issue as it's looks like a missing dependency problem to me :)

Thanks
Comment 49 Khumba 2014-10-17 01:44:53 UTC
Can we please keep x11-themes/gnome-themes and x11-themes/gnome-themes-extras?  These contain fantastic GTK+ 2 themes; I haven't found any in the tree that work as well.  These have exactly one dep in the gnome category, gnome-base/librsvg (at least from a 1-level-deep qdepends run), and this isn't masked.
Comment 50 SpanKY gentoo-dev 2014-10-18 21:58:43 UTC
why is media-libs/swfdec caught up in this ?  it's not specific to GNOME-2.
Comment 51 Gilles Dartiguelongue gentoo-dev 2014-10-19 10:46:04 UTC
swfdec development stopped years ago so even if it's not gnome2 specific, we do not see the point in keeping it around.

If you want to take its maintainership, please go ahead.
Comment 52 Pacho Ramos gentoo-dev 2014-10-19 12:08:00 UTC
(In reply to Gilles Dartiguelongue from comment #51)
> swfdec development stopped years ago so even if it's not gnome2 specific, we
> do not see the point in keeping it around.
> 
> If you want to take its maintainership, please go ahead.

Also bug 496384, 513836, 525334 for now... but probably more could appear as swfdec is dead for ages
Comment 53 Honza 2014-10-23 00:48:24 UTC
I second the question why evince is being removed. Also, chromium is using gnome-keyring: is there any way to move to other method of encryption (if any) without losing the passwords?
Comment 54 Pacho Ramos gentoo-dev 2014-10-23 09:53:44 UTC
gnome-keyring isn't going to be removed... but you need to update it. About evince, it's a bit more deeply explained at bug 525124
Comment 55 Honza 2014-10-23 11:30:24 UTC
(In reply to Pacho Ramos from comment #54)
> gnome-keyring isn't going to be removed... but you need to update it. About
> evince, it's a bit more deeply explained at bug 525124

... just found that newer chrome requires newer keyring anyway, bug 520078 ... but ... are you saying newer gnome keyring doesn't require the experimental gtk+ 3? Let me check ... no. It forces gcr with gtk use flag, which then require gtk+ 3.

About evince, yes, it's more deeply explained at bug 525124 why it's good idea to leave it :)
Comment 56 Pacho Ramos gentoo-dev 2014-10-23 11:39:53 UTC
experimental gtk+3? Trying to run 2.32 stuff that is completely unmaintained and dead for ages is probably more "experimental" that gtk+:3
Comment 57 Honza 2014-10-23 12:59:54 UTC
(In reply to Pacho Ramos from comment #56)
> experimental gtk+3? Trying to run 2.32 stuff that is completely unmaintained
> and dead for ages is probably more "experimental" that gtk+:3

I'll gladly switch to 2.40 if you make some. I already have glib 2.40, but I wasn't able to find gtk+:2 newer that 2.24.24 nor gnome keyring newer that 2.32.

Note that I'm NOT running gnome. Nor KDE. But lot of programs needs gtk+, like firefox for example (of course, stable gtk+:2). And some needs even more.
Comment 58 Ferenc Erki 2014-10-25 13:56:43 UTC
Are there any chance to keep app-office/pinpoint in tree? It's true that there were no formal releases since 2011, but its github repo doesn't seem to be abandoned: https://github.com/GNOME/pinpoint

I can take the package as proxied maintainer if it's necessary.
Comment 59 Pacho Ramos gentoo-dev 2014-10-25 19:30:05 UTC
+  25 Oct 2014; Pacho Ramos <pacho@gentoo.org> package.mask:
+  Unmask pinpoint (#508854#c58 by Ferenc Erki)
+
Comment 60 Pacho Ramos gentoo-dev 2014-11-13 13:15:12 UTC
done
Comment 61 devsk 2014-12-03 18:35:32 UTC
Why was gnome-panel-3.8.0 removed? It is not a gnome-2 package.

It was removed somewhere between https://bugs.gentoo.org/attachment.cgi?id=376708 and https://bugs.gentoo.org/attachment.cgi?id=377202. Any reasons for that move?

gnome-panel is needed by the fallback session in gnome-3.
Comment 62 Pacho Ramos gentoo-dev 2014-12-04 10:39:40 UTC
Official gnome fallback session doesn't use gnome-panel at all, it uses a set of extensions for gnome-shell to make it look similar to old gnome.

Latest gnome-panel versions are related with Gnome Flashback project... a project we tried to support in 3.8.x series that ended up being a complete failure as the people maintaining it at that time stepped down, it was then incompatible with 3.10... now, there are new people handling it, but I am completely against reintroducing it until we see it's "stable" enough and well maintained for at least some gnome cycles. People should really move to mate instead of Gnome Flashback for now.

If some day Gnome Flashback becomes really usable (and that doesn't mean it "compiles" for one version and we need to wait for other two cycles to other random people to fix it again...) we could consider its addition.
Comment 63 Gilles Dartiguelongue gentoo-dev 2014-12-21 10:39:31 UTC
*** Bug 533100 has been marked as a duplicate of this bug. ***